KWIN_SET_CLIP_AREAS(3)

EXPERIMENTAL_FUNC
kwin_set_clip_areas - Set the clip areas.

SYNOPSIS
#include <karma_kwin.h>

void kwin_set_clip_areas

(KPixCanvas canvas, unsigned int num_areas, KPixCanvasRefreshArea *areas)

DESCRIPTION
Set the clip areas.

canvas
    The canvas.

num_areas
    The number of clip areas. If 0, there are no clip areas.

areas
    The array of clip areas.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/